Liblinphone: linphone::FriendListListener Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::FriendListListener Class Reference

An object to handle the callbacks for Friend synchronization. More...

`#include <friend_list_listener.hh>`

Inheritance diagram for linphone::FriendListListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onContactCreated (const std::shared_ptr< linphone::FriendList > &friendList, const std::shared_ptr< linphone::Friend > &linphoneFriend)
| Callback used to notify a new contact has been created on the CardDAV server and downloaded locally.
virtual LINPHONECXX_PUBLIC void | onContactDeleted (const std::shared_ptr< linphone::FriendList > &friendList, const std::shared_ptr< linphone::Friend > &linphoneFriend)
| Callback used to notify a contact has been deleted on the CardDAV server.
virtual LINPHONECXX_PUBLIC void | onContactUpdated (const std::shared_ptr< linphone::FriendList > &friendList, const std::shared_ptr< linphone::Friend > &newFriend, const std::shared_ptr< linphone::Friend > &oldFriend)
| Callback used to notify a contact has been updated on the CardDAV server.
virtual LINPHONECXX_PUBLIC void | onSyncStatusChanged (const std::shared_ptr< linphone::FriendList > &friendList, linphone::FriendList::SyncStatus status, const std::string &message)
| Callback used to notify the status of the synchronization has changed.
virtual LINPHONECXX_PUBLIC void | onPresenceReceived (const std::shared_ptr< linphone::FriendList > &friendList, const std::list< std::shared_ptr< linphone::Friend > > &friends)
| Callback used to notify a list with all friends that have received presence information.

## Detailed Description

An object to handle the callbacks for Friend synchronization.

## Member Function Documentation

## ◆ onContactCreated()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onContactCreated | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | const std::shared_ptr< linphone::Friend > & | linphoneFriend )
| inlinevirtual

Callback used to notify a new contact has been created on the CardDAV server and downloaded locally.

Parameters

  friendList | The FriendList object the new contact is added to
  linphoneFriend | The Friend object that has been created

## ◆ onContactDeleted()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onContactDeleted | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | const std::shared_ptr< linphone::Friend > & | linphoneFriend )
| inlinevirtual

Callback used to notify a contact has been deleted on the CardDAV server.

Parameters

  friendList | The FriendList object a contact has been removed from
  linphoneFriend | The Friend object that has been deleted

## ◆ onContactUpdated()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onContactUpdated | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | const std::shared_ptr< linphone::Friend > & | newFriend,
|  | const std::shared_ptr< linphone::Friend > & | oldFriend )
| inlinevirtual

Callback used to notify a contact has been updated on the CardDAV server.

Parameters

  friendList | The FriendList object in which a contact has been updated
  newFriend | The new Friend object corresponding to the updated contact
  oldFriend | The old Friend object before update

## ◆ onPresenceReceived()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onPresenceReceived | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | const std::list< std::shared_ptr< linphone::Friend > > & | friends )
| inlinevirtual

Callback used to notify a list with all friends that have received presence information.

Parameters

  friendList | The LinphoneFriendList object for which the status has changed
  friends | A of the relevant friends

## ◆ onSyncStatusChanged()

virtual LINPHONECXX_PUBLIC void linphone::FriendListListener::onSyncStatusChanged | ( | const std::shared_ptr< linphone::FriendList > & | friendList,
|  | linphone::FriendList::SyncStatus | status,
|  | const std::string & | message )
| inlinevirtual

Callback used to notify the status of the synchronization has changed.

Parameters

  friendList | The FriendList object for which the status has changed
  status | The new FriendList::SyncStatus
  message | An additional information on the status update

The documentation for this class was generated from the following file:

- friend_list_listener.hh